## ros-melodic-zdepth-image-transport 2.1.26

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(zdepth_image_transport)

find_package(catkin REQUIRED
  COMPONENTS
  image_transport
  message_generation
  pluginlib
  roscpp
  sensor_msgs
  std_msgs
)

if("$ENV{ROS_DISTRO}" STRGREATER "kinetic")
  find_library(zdepth_LIB zdepth PATH_SUFFIXES zdepth)
  find_library(zstd_LIB zstd PATH_SUFFIXES zdepth)
  set(zdepth_LIBRARIES ${zdepth_LIB} ${zstd_LIB})
  find_file(zdepth_INCLUDE zdepth.hpp PATH_SUFFIXES zdepth)
  get_filename_component(zdepth_PATH ${zdepth_INCLUDE} DIRECTORY)
  get_filename_component(zdepth_INCLUDE_DIRS ${zdepth_PATH} DIRECTORY)
endif()

add_message_files(
  DIRECTORY msg
  FILES
  ZDepthImage.msg
)

generate_messages(DEPENDENCIES std_msgs)


catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
  message_runtime
  image_transport
  pluginlib
  roscpp
  sensor_msgs
  std_msgs
  DEPENDS
  zdepth
)

if("$ENV{ROS_DISTRO}" STRGREATER "kinetic")
  include_directories(include ${catkin_INCLUDE_DIRS} ${zdepth_INCLUDE_DIRS})

  add_executable(zdepth_test src/test/zdepth_test.cpp)
  target_link_libraries(zdepth_test ${catkin_LIBRARIES} ${zdepth_LIBRARIES})

  add_library(${PROJECT_NAME} src/manifest.cpp src/zdepth_publisher.cpp src/zdepth_subscriber.cpp)
  target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${zdepth_LIBRARIES})
  add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_generate_messages_cpp)

  install(TARGETS zdepth_test
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

  install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
  )
endif()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES zdepth_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )

=== debian/changelog ===
ros-melodic-zdepth-image-transport (2.1.26-1bionic) bionic; urgency=high

  * add LICENSE files (#476 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/476>)
  * Contributors: Kei Okada

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 13 Jun 2023 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.25-1bionic) bionic; urgency=high

  * [zdepth_image_transport] add readme for zdepth_image_transport (#430 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/430>)
  * [zdepth, zdepth_image_transport] fix zdepth package version to 2.1.24 (#427 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/427>)
  * add zdepth and zdepth_image_transport package (#389 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/389>)
  * [zdepth_image_transport] add readme for zdepth_image_transport (#430 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/430>)
  * Contributors: Aoi Nakane, Kei Okada, Naoto Tsukamoto, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 07 Jun 2023 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.24-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 25 Jul 2021 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.23-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 20 Jul 2021 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.22-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 09 Jun 2021 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.21-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 18 Aug 2020 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.20-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 06 Aug 2020 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.19-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.18-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.17-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 12:51:00 -0000

ros-melodic-zdepth-image-transport (2.1.16-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 06:21:00 -0000

ros-melodic-zdepth-image-transport (2.1.15-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 11 Dec 2019 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.14-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 20 Nov 2019 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.13-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 09 Jul 2019 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.12-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 24 May 2019 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.11-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 28 Aug 2018 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.10-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 24 Apr 2018 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.9-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 23 Apr 2018 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.8-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.7-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 08 Apr 2018 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.6-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Nov 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.5-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 19 Nov 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.4-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.3-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 06 Jul 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.2-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 05 Jul 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.1-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 04 Jul 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.1.0-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 01 Jul 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.0.20-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 08 May 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.0.19-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 21 Feb 2017 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.0.18-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 27 Oct 2016 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.0.17-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 21 Oct 2016 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.0.16-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 16 Oct 2016 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.0.15-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 15 Oct 2016 15:00:00 -0000

ros-melodic-zdepth-image-transport (2.0.14-1bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sat, 19 Mar 2016 15:00:00 -0000



=== debian/control ===
Source: ros-melodic-zdepth-image-transport
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-image-transport, ros-melodic-message-generation, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-zdepth
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-zdepth-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-image-transport, ros-melodic-message-runtime, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-zdepth
Description: The zdepth_image_transport package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-zdepth-image-transport//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
